﻿using Syncfusion.XForms.PopupLayout;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace PopupSample
{
    public partial class MainPage : ContentPage
    {
        SfPopupLayout Popup { get; set; }
        public MainPage()
        {
            InitializeComponent();

            Popup = new SfPopupLayout();
            Popup.PopupView.AppearanceMode = AppearanceMode.TwoButton;
            Popup.PopupView.HeaderTitle = "Cancelar OS";
            Popup.PopupView.PopupStyle = new PopupStyle
            {
                AcceptButtonBackgroundColor = Color.FromHex("#009530"),
                AcceptButtonTextColor = Color.White,
                DeclineButtonBackgroundColor = Color.FromHex("#009530"),
                DeclineButtonTextColor = Color.White
            };
            Popup.PopupView.ContentTemplate = new DataTemplate(() =>
            {
                var txt = new Entry { Placeholder = "Informe o motivo" };
                txt.BindingContext = this;
                txt.SetBinding(Entry.TextProperty, "MotivoCancel");
                return txt;
            });
            Popup.PopupView.DeclineButtonText = "VOLTAR";
            Popup.PopupView.AcceptButtonText = "CANCELAR";

            Button button = new Button();
            button.Text = "Click";
            button.TextColor = Color.Blue;
            button.Clicked += Button_Clicked;

            this.Content = button;
        }

        private void Button_Clicked(object sender, EventArgs e)
        {
            Popup.Show();
        }
    }
}
